# List Workspaces and Projects

The `/:workspace` endpoint gives you information about your workspace and its Projects.

This endpoint will list all Projects in the Workspaces of which you are a member.

The endpoint URL is:

```url
curl "https://api.roboflow.com/roboflow?api_key=$ROBOFLOW_API_KEY"
```

Here is an example of a response from the endpoint:

<pre class="language-json"><code class="lang-json"><strong>{
</strong>    "workspace": {
        "name": "Roboflow",
        "url": "roboflow",
        "members": 7,
        "projects": [
            {
                "id": "roboflow/chess-sample-4ckfl",
                "type": "object-detection",
                "name": "Chess Sample",
                "created": 1630335544.592,
                "updated": 1630335741.988,
                "images": 12,
                "unannotated": 3,
                "annotation": "pieces",
                "versions": 3,
                "public": false,
                "splits": {
                    "train": 9,
                    "test": 1,
                    "valid": 2
                },
                "classes": {
                    "white-queen": 7,
                    "black-queen": 4,
                    "black-bishop": 8,
                    "white-knight": 10,
                    "white-bishop": 11,
                    "black-knight": 11,
                    "black-rook": 10,
                    "white-pawn": 34,
                    "black-pawn": 37,
                    "white-rook": 10,
                    "black-king": 8,
                    "white-king": 8
                }
            }
        ]
    }
}
</code></pre>

{% tabs %}
{% tab title="Python SDK" %}
To retrieve information about a workspace and its projects, use the following Python code:

```python
import roboflow

rf = roboflow.Roboflow(api_key=YOUR_API_KEY_HERE)

# List all projects for your workspace
workspace = rf.workspace()
```

{% endtab %}

{% tab title="REST API" %}
The `/:workspace` endpoint gives you information about your workspace and its projects. You can dive in deeper to any project to find information about its generated versions, models, and dataset exports.

```bash
$ curl "https://api.roboflow.com/roboflow?api_key=$ROBOFLOW_API_KEY"
{
    "workspace": {
        "name": "Roboflow",
        "url": "roboflow",
        "members": 7,
        "projects": [
            {
                "id": "roboflow/chess-sample-4ckfl",
                "type": "object-detection",
                "name": "Chess Sample",
                "created": 1630335544.592,
                "updated": 1630335741.988,
                "images": 12,
                "unannotated": 3,
                "annotation": "pieces",
                "versions": 3,
                "public": false,
                "splits": {
                    "train": 9,
                    "test": 1,
                    "valid": 2
                },
                "classes": {
                    "white-queen": 7,
                    "black-queen": 4,
                    "black-bishop": 8,
                    "white-knight": 10,
                    "white-bishop": 11,
                    "black-knight": 11,
                    "black-rook": 10,
                    "white-pawn": 34,
                    "black-pawn": 37,
                    "white-rook": 10,
                    "black-king": 8,
                    "white-king": 8
                }
            }
        ]
    }
}
```

{% endtab %}

{% tab title="CLI" %}
**Getting Workspace Info**

To get info for a workspace in the CLI, use the following command:

```
roboflow workspace get
```

For more details, refer to the relevant section on the CLI docs.

**Listing Workspaces**

To list workspaces in the CLI, use the following command:

```bash
roboflow workspace list
```

This command will return a response such as:

```
 James Gallagher
  link: https://app.roboflow.com/james-gallagher-87fuq
  id: james-gallagher-87fuq
```

For more details, refer to the relevant section on the CLI docs.
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.roboflow.com/developer/rest-api/list-workspaces-and-projects.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
